import request from '@/utils/request'

// 查询企业公示_出资人认缴明细列表
export function listInvestors(query) {
  return request({
    url: '/basicData/xcrEnterprisePublicationSupplySubscribedDetailsInvestors/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业公示_出资人认缴明细详细
export function getInvestors(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterprisePublicationSupplySubscribedDetailsInvestors/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业公示_出资人认缴明细
export function addInvestors(data) {
  return request({
    url: '/basicData/xcrEnterprisePublicationSupplySubscribedDetailsInvestors',
    method: 'post',
    data: data
  })
}

// 修改企业公示_出资人认缴明细
export function updateInvestors(data) {
  return request({
    url: '/basicData/xcrEnterprisePublicationSupplySubscribedDetailsInvestors',
    method: 'put',
    data: data
  })
}

// 删除企业公示_出资人认缴明细
export function delInvestors(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterprisePublicationSupplySubscribedDetailsInvestors/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInvestorsBatch(ids) {
  return request.post('/basicData/xcrEnterprisePublicationSupplySubscribedDetailsInvestors/delete',ids)
}
